% Programme principal pour la resolution
% du systeme proie-predateur de 
% Volterra-Lotka

close all
T=7;
y0=[1;1];
h=.05;
t=0:h:T;
solEE=eulE(y0,h,T);
solHe=heun(y0,h,T);
solRK=RK4(y0,h,T);
solEI=eulI(y0,h,T);
solCN=CN(y0,h,T);

x=linspace(0,3,15);y=linspace(0,4,10);
[X,Y]=meshgrid(x,y);
U=zeros(length(y),length(x));V=U;
for i=1:length(x)
    for j=1:length(y)
        ValF=F(0,[x(i);y(j)]);
        U(j,i)=ValF(1,1);
        V(j,i)=ValF(2,1); 
    end
end
quiver(X,Y,U,V)

disp('Affichage : champ des vitesses')
disp('Appuyez sur une touche...')
pause

figure
plot(solEE(1,:),solEE(2,:))
hold on
plot(y0(1),y0(2),'o')
legend('Euler explicite')
xlabel('Proies')
ylabel('Predateurs')
title('Trajectoires dans le plan de phase')

disp('--------------------------------------------')
disp('Affichage : Trajectoire pour Euler explicite')
disp('Appuyez sur une touche...')
pause

figure
plot(solEI(1,:),solEI(2,:))
hold on
plot(y0(1),y0(2),'o')
legend('Euler implicite')
xlabel('Proies')
ylabel('Predateurs')
title('Trajectoires dans le plan de phase')

disp('--------------------------------------------')
disp('Affichage : Trajectoire pour Euler implicite')
disp('Appuyez sur une touche...')
pause

figure
plot(solHe(1,:),solHe(2,:))
hold on
plot(y0(1),y0(2),'o')
legend('Heun')
xlabel('Proies')
ylabel('Predateurs')
title('Trajectoires dans le plan de phase')

disp('--------------------------------------------')
disp('Affichage : Trajectoire pour Heun')
disp('Appuyez sur une touche...')
pause

figure
plot(solCN(1,:),solCN(2,:))
hold on
plot(y0(1),y0(2),'o')
legend('Crank-Nicolson')
xlabel('Proies')
ylabel('Predateurs')
title('Trajectoires dans le plan de phase')

disp('--------------------------------------------')
disp('Affichage : Trajectoire pour Crank-Nicolson')
disp('Appuyez sur une touche...')
pause

figure
plot(solRK(1,:),solRK(2,:))
hold on
plot(y0(1),y0(2),'o')
legend('Runge-Kutta 4')
xlabel('Proies')
ylabel('Predateurs')
title('Trajectoires dans le plan de phase')

disp('--------------------------------------------')
disp('Affichage : Trajectoire pour Runge-Kutta 4')

